Moose::Autobox::Number(3)

NAME
Moose::Autobox::Number - the Number role

DESCRIPTION
This is a role to describes a Numeric value.

METHODS

to  Takes another number as argument and produces an array ranging from the number the method is called on to the number given as argument. In some situations, this method intentionally behaves different from the range operator in perl:

      $foo = [ 5 .. 1 ]; # $foo is []

      $foo = 5->to(1);   # $foo is [ 5, 4, 3, 2, 1 ]

meta

BUGS
All complex software has bugs lurking in it, and this module is no exception. If you find a bug please either email me, or add the bug to cpan-RT.

AUTHOR
Stevan Little <stevan@iinteractive.com>

COPYRIGHT AND LICENSE
Copyright 2006-2008 by Infinity Interactive, Inc.

<http://www.iinteractive.com>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.